FreeMat

- Main Page
- Related Pages

vtkThreadMessager

Section: Visualization Toolkit Common Classes

# Usage

vtkMultithreader is a class that provides support for messaging between threads multithreaded using pthreads or Windows messaging.

To create an instance of class vtkThreadMessager, simply invoke its constructor as follows

      obj = vtkThreadMessager

# Methods

The class vtkThreadMessager has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkThreadMessager class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkThreadMessager = obj.NewInstance ()`
- `vtkThreadMessager = obj.SafeDownCast (vtkObject o)`
- `obj.WaitForMessage ()` - Wait (block, non-busy) until another thread sends a message.
- `obj.SendWakeMessage ()` - Send a message to all threads who are waiting via WaitForMessage().
- `obj.EnableWaitForReceiver ()` - pthreads only. If the wait is enabled, the thread who is to call WaitForMessage() will block until a receiver thread is ready to receive.
- `obj.DisableWaitForReceiver ()` - pthreads only. If the wait is enabled, the thread who is to call WaitForMessage() will block until a receiver thread is ready to receive.
- `obj.WaitForReceiver ()` - pthreads only. If wait is enable, this will block until one thread is ready to receive a message.
- `obj.SendMessage ()` -